package exoInit;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

public class Entreprise {

	private static void derouleReunionsPasseesConfidentielles(
			List<Reunion> reunions) {
		for (Reunion reu : reunions) {
			if (reu.estPassee()) {
				reu.ajouteInformationConfidentiellesAuxPresents();
			}
		}
	}

	public static void main(String[] args) {

		List<Initie> inities = new ArrayList<Initie>();
		List<Information> informations = new ArrayList<Information>();
		List<Reunion> reunions = new ArrayList<Reunion>();

		// initialisation
		// creation des inities
		Initie pdg = new Initie("A. Boss", "PDG");
		inities.add(pdg);
		Initie daf = new Initie("B. Money",
				"Directeur administratif financier");
		inities.add(daf);
		Initie adir = new Initie("C. Notes", "Assistant de Direction");
		inities.add(adir);
		Initie act1 = new Initie("D. Sous", "Actionnaire");
		inities.add(act1);
		Initie act2 = new Initie("E. Bourse", "Actionnaire");
		inities.add(act2);
		Initie jur = new Initie("F. Legal", "Directeur Juridique");
		inities.add(jur);
		Initie com = new Initie("G. Public", "Directeur commercial");
		inities.add(com);

		// creation de sujets
		Information bilFin = new Information("Bilan financier 2019", 10, 01,
				2020);
		informations.add(bilFin);
		Information achat = new Information(
				"Proposition d'achat d'une entreprise", 20, 05, 2020);
		informations.add(achat);
		Information courr = new Information("Affaires courrantes Janvier 2020",
				05, 02, 2020);
		informations.add(courr);

		// reunion passee
		Reunion reu1 = new Reunion(LocalDate.of(2020, 01, 02), bilFin);
		reu1.ajouteInitie(pdg);
		reu1.ajouteInitie(adir);
		reu1.ajouteInitie(daf);
		reu1.ajouteInitie(act1);
		reu1.ajouteInitie(act2);
		reunions.add(reu1);

		// reunion future
		Reunion reu2 = new Reunion(LocalDate.of(2020, 01, 30), achat);
		reu2.ajouteInitie(pdg);
		reu2.ajouteInitie(jur);
		reu2.ajouteInitie(com);
		reunions.add(reu2);

		// reunion aujourdhui
		Reunion reu3 = new Reunion(courr);
		reu3.ajouteInitie(pdg);
		reu3.ajouteInitie(adir);
		reu3.ajouteInitie(daf);
		reunions.add(reu3);

		derouleReunionsPasseesConfidentielles(reunions);

		for (Initie initie : inities) {
			System.out.println(initie);
		}

	}

}
