package exoInit;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

public class Information {
	private String titre;
	private LocalDate dateDivulgation;

	// seconde tape
	private List<Initie> connaisseurs = new ArrayList<Initie>();

	public Information(String titre, LocalDate dateDivulgation) {
		this.titre = titre;
		this.dateDivulgation = dateDivulgation;
	}

	public Information(String titre, int jour, int mois, int annee) {
		this(titre, LocalDate.of(annee, mois, jour));
	}

	public String getTitre() {
		return titre;
	}

	public LocalDate getDateDivulgation() {
		return dateDivulgation;
	}

	// seconde etape
	public void devientConnuPar(Initie initie) {
		connaisseurs.add(initie);
	}

	public boolean estObsolete() {
		return LocalDate.now().isAfter(dateDivulgation.plusYears(3));
	}
	
	public void miseAJour(){
		if (this.estObsolete()){
			this.devientObsolete();
		}
	}

	private void devientObsolete() {
		for (Initie initie : connaisseurs) {
			initie.supprimeSujet(this);
		}
	}

}
