package exoInit;

import java.util.ArrayList;
import java.util.List;

public class Initie {
	private String nom;
	private String role;
	private List<Information> sujetsConnus;
	
	public Initie(String nom, String role) {
		this.nom = nom;
		this.role = role;
		sujetsConnus = new ArrayList<Information>();
	}

	public String getNom() {
		return nom;
	}

	public List<Information> getSujetsConnus() {
		return sujetsConnus;
	}

	public void prendConnaissance(Information sujet) {
		sujetsConnus.add(sujet);
		
		//deuxieme etape
		sujet.devientConnuPar(this);
	}
	
	//deuxieme etape
	public void supprimeSujet(Information sujet) {
		sujetsConnus.remove(sujet);		
	}
	
	@Override
	public String toString() {
		String res ="";
		res += nom + ", "+ role + " connait les sujets : \n";
		
		for (Information sujet : sujetsConnus){
			res += "- "+sujet.getTitre() + "\n";
		}
		
		return res;
	}


	

}
