package exoInit;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

public class Reunion {
	private LocalDate date;
	private List<Initie> initiesPresents = new ArrayList<Initie>();
	private Information sujet;

	public Reunion(LocalDate date, Information sujet) {
		this.date = date;
		this.sujet = sujet;

		// optionnel : ajout un controle de date divulagation superieure a date
		// reunion
	}

	public Reunion(Information sujet) {
		this(LocalDate.now(), sujet);
	}

	public Reunion(LocalDate date, Information sujet, List<Initie> presents) {
		this(date, sujet);
		this.initiesPresents = presents;
	}

	public void ajouteInitie(Initie initie) {
		initiesPresents.add(initie);
	}

	// public void initieAbsent(Initie initie){
	// presents.remove(initie);
	// }

	public void ajouteInformationConfidentiellesAuxPresents() {
		if (this.estConfidentielle()) {
			for (Initie initie : initiesPresents) {
				initie.prendConnaissance(sujet);
			}
		}
	}

	public boolean estPassee() {
		return date.isBefore(LocalDate.now()) || date.isEqual(LocalDate.now());
	}

	public boolean estConfidentielle() {
		return date.isBefore(sujet.getDateDivulgation());
	}

}
